Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.discovery
Class OutgoingMulticastAnnouncement

    java.lang.Object
      net.jini.discovery.OutgoingMulticastAnnouncement

public class OutgoingMulticastAnnouncement
extends Object

Encapsulate the details of marshaling a multicast announcement into one or more packets.

See Also:
  `IncomingMulticastAnnouncement`

Field Summary
`protected static int` | `maxPacketSize` The maximum size we allow for an outgoing packet.
`protected static int` | `minMaxPacketSize` The minimum size we allow for an outgoing packet.
`protected static int` | `protocolVersion` The current version of the multicast announcement protocol.

Constructor Summary
`OutgoingMulticastAnnouncement()`

Method Summary
`static DatagramPacket[]` | `marshal(ServiceID id, LookupLocator loc, String[] groups)` Marshal a multicast announcement into one or more datagram packets.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minMaxPacketSize

    protected static final int minMaxPacketSize

  The minimum size we allow for an outgoing packet.

  See Also:
    Constant Field Values

### maxPacketSize

    protected static final int maxPacketSize

  The maximum size we allow for an outgoing packet. This may be controlled using the `net.jini.discovery.mtu` system property. The value cannot be less than 512. The default is 512.

### protocolVersion

    protected static final int protocolVersion

  The current version of the multicast announcement protocol.

  See Also:
    Constant Field Values

Constructor Detail

### OutgoingMulticastAnnouncement

    public OutgoingMulticastAnnouncement()

Method Detail

### marshal

    public static DatagramPacket[] marshal(ServiceID id,
                                           LookupLocator loc,
                                           String[] groups)
                                    throws IOException

  Marshal a multicast announcement into one or more datagram packets. These packets are guaranteed to contain, between them, all of the groups of which the to-be-announced lookup service is a member.

  The datagram packets returned will have been initialized for sending to the appropriate multicast address and UDP port.

  Parameters:
    `id` - the ServiceID we are announcing
    `loc` - a LookupLocator that will allow unicast discovery of the lookup service we are announcing
    `groups` - the groups of which the announced lookup service is a member
  Returns:
    an array of datagram packets, which will always contain at least one member
  Throws:
    `IOException` - a problem occurred during marshaling

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved